﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace IMS_ENTITYFRAMEWORK
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    
    public partial class INVENTORYEntities : DbContext
    {
        public INVENTORYEntities()
            : base("name=INVENTORYEntities")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<AdminRegister> AdminRegister { get; set; }
        public virtual DbSet<UserGmda> UserGmda { get; set; }
        public virtual DbSet<AssetNameList> AssetNameList { get; set; }
        public virtual DbSet<AssetDetails> AssetDetails { get; set; }
        public virtual DbSet<AssetID> AssetID { get; set; }
        public virtual DbSet<WaterPumpAssetDetails> WaterPumpAssetDetails { get; set; }
        public virtual DbSet<CreateItemTable> CreateItemTable { get; set; }
        public virtual DbSet<ItemListTable> ItemListTable { get; set; }
        public virtual DbSet<LocationZone> LocationZone { get; set; }
        public virtual DbSet<PumpingMachineryPumpset> PumpingMachineryPumpset { get; set; }
        public virtual DbSet<PanelBoard> PanelBoard { get; set; }
        public virtual DbSet<Transformer> Transformer { get; set; }
        public virtual DbSet<Valve> Valve { get; set; }
        public virtual DbSet<Land> Land { get; set; }
        public virtual DbSet<Building> Building { get; set; }
        public virtual DbSet<WTP> WTP { get; set; }
        public virtual DbSet<StorageSediTank> StorageSediTank { get; set; }
        public virtual DbSet<Pipe> Pipe { get; set; }
        public virtual DbSet<CONTACTUS> CONTACTUS { get; set; }
        public virtual DbSet<PumpingMachineryMotor> PumpingMachineryMotor { get; set; }
    }
}
